Bug 225268 - graphics/libsixel: clang 6 crashes during build
Summary: graphics/libsixel: clang 6 crashes during build
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Dimitry Andric
URL:
Keywords: toolchain
Depends on:
Blocks: 224669
  Show dependency treegraph
 
Reported: 2018-01-17 17:26 UTC by Jan Beich
Modified: 2018-01-29 11:22 UTC (History)
2 users (show)

See Also:


Attachments
src/scale.c (compressed, preprocessed) (28.50 KB, application/x-xz)
2018-01-17 17:26 UTC, Jan Beich
no flags Details
command line args (for clang 6.0) (2.54 KB, text/plain)
2018-01-17 17:26 UTC, Jan Beich
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Beich freebsd_committer 2018-01-17 17:26:23 UTC
Created attachment 189841 [details]
src/scale.c (compressed, preprocessed)

/bin/sh ../libtool  --tag=CC   --mode=compile cc -DHAVE_CONFIG_H -I. -I..  -I../include/  -O2 -pipe  -fstack-protector -fno-strict-aliasing -Wall -Wextra -Wpedantic -Wformat=2 -Wsign-conversion -Wuninitialized -Wstrict-overflow -Wshadow -Wdouble-promotion -Wswitch-default            -O2 -pipe  -fstack-protector -fno-strict-aliasing -MT libsixel_la-scale.lo -MD -MP -MF .deps/libsixel_la-scale.Tpo -c -o libsixel_la-scale.lo `test -f 'scale.c' || echo './'`scale.c
libtool: compile:  cc -DHAVE_CONFIG_H -I. -I.. -I../include/ -O2 -pipe -fstack-protector -fno-strict-aliasing -Wall -Wextra -Wpedantic -Wformat=2 -Wsign-conversion -Wuninitialized -Wstrict-overflow -Wshadow -Wdouble-promotion -Wswitch-default -O2 -pipe -fstack-protector -fno-strict-aliasing -MT libsixel_la-scale.lo -MD -MP -MF .deps/libsixel_la-scale.Tpo -c scale.c  -fPIC -DPIC -o .libs/libsixel_la-scale.o
Bad flavor while matching min/max
UNREACHABLE executed at /usr/local/poudriere/jails/head-amd64/usr/src/contrib/llvm/lib/Analysis/ValueTracking.cpp:4217!
cc: error: unable to execute command: Abort trap (core dumped)
cc: error: clang frontend command failed due to signal (use -v to see invocation)
FreeBSD clang version 6.0.0 (branches/release_60 321788) (based on LLVM 6.0.0)
Target: x86_64-unknown-freebsd12.0
Thread model: posix
InstalledDir: /usr/bin

http://beefy12.nyi.freebsd.org/data/head-amd64-default/p459147_s328035/logs/libsixel-1.7.2_1,1.log
http://beefy11.nyi.freebsd.org/data/head-i386-default/p459147_s328035/logs/libsixel-1.7.2_1,1.log
http://beefy8.nyi.freebsd.org/data/head-armv6-default/p459021_s327977/logs/libsixel-1.7.2_1,1.log
Comment 1 Jan Beich freebsd_committer 2018-01-17 17:26:56 UTC
Created attachment 189842 [details]
command line args (for clang 6.0)
Comment 2 Dimitry Andric freebsd_committer 2018-01-17 22:15:29 UTC
This seems to be fallout of https://bugs.llvm.org/show_bug.cgi?id=35717, I'm investigating whether https://reviews.llvm.org/rL322016 helps.
Comment 3 commit-hook freebsd_committer 2018-01-18 21:44:15 UTC
A commit references this bug:

Author: dim
Date: Thu Jan 18 21:44:07 UTC 2018
New revision: 328145
URL: https://svnweb.freebsd.org/changeset/base/328145

Log:
  Pull in r322016 from upstream llvm trunk (by Sanjay Patel):

    [ValueTracking] remove overzealous assert

    The test is derived from a failing fuzz test:
    https://bugs.chromium.org/p/oss-fuzz/issues/detail?id=5008

    Credit to @rksimon for pointing out the problem.

  This should fix "Bad flavor while matching min/max" errors when building
  the graphics/libsixel and science/kst2 ports.

  Reported by:	jbeich
  PR:		225268, 225269

Changes:
  head/contrib/llvm/lib/Analysis/ValueTracking.cpp